Name:           maven-project-info-reports-plugin
Version:        2.4
Release:        1%{?dist}
Summary:        Maven Project Info Reports Plugin

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-project-info-reports-plugin/
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
#- Removed junit-addons dependency as there is no junit-addons available in koji, meanwhile set test skip as true.
Patch0:        %{name}-pom.patch
BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: apache-commons-parent
BuildRequires: maven-plugin-plugin
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-shared-dependency-tree 
BuildRequires: maven-doxia-tools
BuildRequires: maven-shared-jar
BuildRequires: maven-wagon
BuildRequires: maven-scm
BuildRequires: maven-doxia
BuildRequires: plexus-container-default
BuildRequires: plexus-component-api
BuildRequires: plexus-i18n
BuildRequires: plexus-utils
BuildRequires: apache-commons-validator
BuildRequires: httpunit
BuildRequires: maven-plugin-testing-harness
BuildRequires: servlet25
BuildRequires: netbeans-cvsclient
BuildRequires: maven-jarsigner-plugin
BuildRequires: keytool-maven-plugin
BuildRequires: joda-time

Requires:       maven
Requires:       java
Requires:       jpackage-utils
Requires:       plexus-container-default
Requires:       plexus-component-api
Requires:       plexus-i18n
Requires:       plexus-utils
Requires:       apache-commons-validator
Requires:       httpunit
Requires:       servlet25

Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

Obsoletes: maven2-plugin-project-info-reports <= 0:2.0.8
Provides: maven2-plugin-project-info-reports = 0:%{version}-%{release}

%description
The Maven Project Info Reports Plugin is a plugin 
that generates standard reports for the specified project.
  

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q -c
%patch0 -p0 -b .sav

%build
pushd %{name}-%{version}
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        install javadoc:javadoc
popd

%install
pushd %{name}-%{version}
# jars
install -Dpm 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

%add_to_maven_depmap org.apache.maven.plugins %{name} %{version} JPP %{name}

# poms
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
popd

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Mon May 30 2011 Alexander Kurtakov <akurtako@redhat.com> 2.4-1
- Update to upstream version 2.4.

* Mon May 23 2011 Alexander Kurtakov <akurtako@redhat.com> 2.3.1-1
- UPdate to upstream version 2.3.1.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Chris Spike <chris.spike@arcor.de> 2.2-5
- Removed obsolete patch
- tomcat5 -> tomcat6 BRs/Rs

* Tue Oct 26 2010 akurtakov <akurtakov@redhat.com> 2.2-4
- Fix apache-commons-validator BR/R.

* Thu Sep 09 2010 Hui Wang <huwang@redhat.com> - 2.2-3
- Add missing BR netbeans-cvsclient

* Mon Jun 07 2010 Hui Wang <huwang@redhat.com> - 2.2-2
- Added missing requires

* Thu Jun 02 2010 Hui Wang <huwang@redhat.com> - 2.2-1
- Initial version of the package
